Subject: Re: bug#57179: 29.0.50: 'wrong-number-of-arguments' for function of two arguments called from 'window-scroll-functions'
From: Alan Mackenzie <[email-masked]>
To: Michael Heerdegen <[email-masked]>, Andrea Greselin <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Mon, 15 Aug 2022 12:24:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Michael and Andrea.

Thanks for testing my patch.  I have just committed the patch to master,
and I am closing the bug with this post.

On Sat, Aug 13, 2022 at 22:50:47 +0200, Michael Heerdegen wrote:
> Eli Zaretskii <[email-masked]> writes:

> > The backtrace seems to show that a function that is called is
> > different from the one you show as your hook function.  So I think you
> > should look closer into how you set up window-scroll-functions.

> I too have seen this problem just yesterday.  There must be something
> going on, it is unlikely that this is a coincidence.

> In the backtrace I saw that the function had been called by name with
> zero arguments.  But on top of the backtrace the symbol-function had
> been shown (a closure).  I also wondered about that.

> I verified that the function was only accessible via
> `window-scroll-functions'.  My code did not use the function in any
> other place.

> Some entries below in the backtrace was `redisplay' - so... somehow
> `redisplay' is sometimes calling functions in `window-scroll-functions'
> with zero arguments.  Maybe the buffer local binding of
> `window-scroll-functions'.

> Please tell whether this information suffices and you already have some
> idea or if I should try to create a recipe.  I guess this must be
> related to a recent change from within the last few days.

> Michael.

-- 
Alan Mackenzie (Nuremberg, Germany).